Package net.sourceforge.jiu.color.data

# Class Histogram3DNode

java.lang.Object
net.sourceforge.jiu.color.data.Histogram3DNode

final class Histogram3DNode extends Object
Internal data class for the on demand histogram. Stores one triplet of int values plus an int counter. Implements `Object.hashCode()` and `Object.equals(java.lang.Object)` to be used with a hash table.

Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private int`
`counter`
`private final int`
`sample1`
`private final int`
`sample2`
`private final int`
`sample3`

## Constructor Summary

Constructors
Constructor
Description
`Histogram3DNode(int s1, int s2, int s3)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`getCounter()`
`int`
`getSample1()`
`int`
`getSample2()`
`int`
`getSample3()`
`int`
`hashCode()`
`void`
`increase()`
`void`
`setCounter(int newValue)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sample1

private final int sample1

### sample2

private final int sample2

### sample3

private final int sample3

### counter

private int counter

## Constructor Details

### Histogram3DNode

public Histogram3DNode(int s1, int s2, int s3)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getCounter

public int getCounter()

### getSample1

public int getSample1()

### getSample2

public int getSample2()

### getSample3

public int getSample3()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### increase

public void increase()

### setCounter

public void setCounter(int newValue)